
QGIS Application - Bug report #6219

Addind tiled WMS layers hangs QGis

2012-08-17 07:52 AM - cremat0rio -

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:1.8.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 15532

Description

Hi,

Something changed from 1.7.3 to 1.8.0 that makes QGis hang when adding tiled wms layers.

I have Geoserver with (builtin) GWC, wich works pretty well on QGis <=1.7.3 versions.

In 1.8.0, QGis shows plenty of messages on his "Log messages" window, saying "mismatch layers=layer, styles= and crs=4326". This

message seems to come from qgswmsprovider. 

No log appears on geoserver.log (and is in ALL_LOGGING mode).

Any help on what can be happening or how to search for it is very appreciated.

Thanks.

David Pinheiro

History

#1 - 2012-08-17 08:08 AM - Giovanni Manghi

- Target version set to Version 2.0.0

- Category set to Web Services clients/WMS

- Status changed from Open to Feedback

Do you have a public URL? What messages show in the QGIS log window (WMS tab)?

If it is confirmed is a regression so it will be tagged as blocker and solved before the next release. In case you will need a quick fix you what is the drill.

#2 - 2012-08-17 08:31 AM - Giovanni Manghi

A tilecache server works for me on 1.8 but not on master (#5828). Are you relly using 1.8 or maybe are you using master?

#3 - 2012-08-17 09:31 AM - cremat0rio -

Hi Giovanni,

I'm using 1.8 (1.8.0-1).

The messages on log window are:

"mismatch layers=layer, styles= and crs=4326" 

Shows one message for each wms present on Geoserver, which is strange because it should only present one message for the selected/added layer.
#4 - 2012-08-18 05:32 AM - Jürgen Fischer

cremat0rio - wrote:

I'm using 1.8 (1.8.0-1).

The messages on log window are:

"mismatch layers=layer, styles= and crs=4326" 

Shows one message for each wms present on Geoserver, which is strange because it should only present one message for the selected/added

layer.

What about the public server?

#5 - 2012-08-20 02:51 AM - cremat0rio -

Jürgen Fischer wrote:

What about the public server?

Which's the address?

Should be GWC based, i think.

#6 - 2012-08-20 02:52 AM - Giovanni Manghi

Which's the address?

Jurgen asked if you can provide a public URL with the problematic server, so we can make tests.

#7 - 2012-08-20 03:00 AM - Jürgen Fischer

cremat0rio - wrote:

Jürgen Fischer wrote:

What about the public server?

Which's the address?

Should be GWC based, i think.

I just repeated Giovanni's question for a public URL.  I don't have a Geoserver readily available, so it would be helpful, if you had one, that I could

reproduce the problem with.

#8 - 2012-08-20 03:12 AM - cremat0rio -

Mine is private, but you can try
http://sedac.ciesin.columbia.edu/geoserver/gwc/service/wms?tiled=true

#9 - 2012-08-20 03:19 AM - Giovanni Manghi

http://sedac.ciesin.columbia.edu/geoserver/gwc/service/wms?tiled=true

this works fine here. Does not work for you?

#10 - 2012-08-20 03:35 AM - cremat0rio -

It doesn't.

Takes a lot of time to load (like 5 minutes) and puts the processor at 100%.

I'll install the OSGeo4W version and give you a reply.

Thanks.

#11 - 2012-08-20 03:40 AM - Giovanni Manghi

I'll install the OSGeo4W version and give you a reply.

try also the latest master version.

#12 - 2012-08-20 05:41 AM - cremat0rio -

In Osgeo4W's 1.8.0-2 version it doesn't work.

But in the master version it works like a sharm...

So we'll temporarily work without tiles. When 1.9 comes out we'll upgrade.

Thanks a lot.

David

#13 - 2012-10-05 08:20 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to fixed

Fixed in master.
